<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HeadersFooters (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HeadersFooters (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HeadersFooters.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/model/ActiveXShape.html"
               title="class in org.apache.poi.hslf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/model/HSLFMetroShape.html"
               title="class in org.apache.poi.hslf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/model/HeadersFooters.html" target="_top">Frames</a>
        </li>
        <li><a href="HeadersFooters.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.model</div>
    <h2 title="Class HeadersFooters" class="title">Class HeadersFooters</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hslf.model.HeadersFooters</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HeadersFooters</span>
extends java.lang.Object</pre>
                <div class="block">Header / Footer settings.

                    You can get these on slides, or across all notes
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#HeadersFooters-org.apache.poi.hslf.usermodel.HSLFSheet-short-">HeadersFooters</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>&nbsp;sheet,
                                    short&nbsp;headerFooterType)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#HeadersFooters-org.apache.poi.hslf.usermodel.HSLFSlideShow-short-">HeadersFooters</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSlideShow</a>&nbsp;ppt,
                                    short&nbsp;headerFooterType)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#getDateTimeFormat--">getDateTimeFormat</a></span>()</code>
                                    <div class="block">An integer that specifies the format ID to be used to style the
                                        datetime.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#getDateTimeText--">getDateTimeText</a></span>()</code>
                                    <div class="block">This is the date that the user wants in the footers, instead of
                                        today's date.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#getFooterText--">getFooterText</a></span>()</code>
                                    <div class="block">Footer's text</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#getHeaderText--">getHeaderText</a></span>()</code>
                                    <div class="block">Headers's text</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#isDateTimeVisible--">isDateTimeVisible</a></span>()</code>
                                    <div class="block">whether the date is displayed in the footer.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#isFooterVisible--">isFooterVisible</a></span>()</code>
                                    <div class="block">whether the footer text is displayed.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#isHeaderVisible--">isHeaderVisible</a></span>()</code>
                                    <div class="block">whether the header text is displayed.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#isPpt2007--">isPpt2007</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#isSlideNumberVisible--">isSlideNumberVisible</a></span>()</code>
                                    <div class="block">whether the slide number is displayed in the footer.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#isUserDateVisible--">isUserDateVisible</a></span>()</code>
                                    <div class="block">whether the custom user date is used instead of today's date.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#setDateTimeFormat-int-">setDateTimeFormat</a></span>(int&nbsp;formatId)</code>
                                    <div class="block">An integer that specifies the format ID to be used to style the
                                        datetime.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#setDateTimeText-java.lang.String-">setDateTimeText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Sets custom user date to be displayed instead of today's date.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#setDateTimeVisible-boolean-">setDateTimeVisible</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">whether the date is displayed in the footer.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#setFootersText-java.lang.String-">setFootersText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Sets footers's text</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#setFooterVisible-boolean-">setFooterVisible</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">whether the footer text is displayed.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#setHeaderText-java.lang.String-">setHeaderText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Sets headers's text</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#setHeaderVisible-boolean-">setHeaderVisible</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">whether the header text is displayed.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#setSlideNumberVisible-boolean-">setSlideNumberVisible</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">whether the slide number is displayed in the footer.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html#setUserDateVisible-boolean-">setUserDateVisible</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">whether the date is displayed in the footer.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HeadersFooters-org.apache.poi.hslf.usermodel.HSLFSlideShow-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HeadersFooters</h4>
                                <pre>public&nbsp;HeadersFooters(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSlideShow</a>&nbsp;ppt,
                      short&nbsp;headerFooterType)</pre>
                            </li>
                        </ul>
                        <a name="HeadersFooters-org.apache.poi.hslf.usermodel.HSLFSheet-short-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HeadersFooters</h4>
                                <pre>public&nbsp;HeadersFooters(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>&nbsp;sheet,
                      short&nbsp;headerFooterType)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getHeaderText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeaderText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getHeaderText()</pre>
                                <div class="block">Headers's text</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Headers's text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeaderText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeaderText</h4>
                                <pre>public&nbsp;void&nbsp;setHeaderText(java.lang.String&nbsp;text)</pre>
                                <div class="block">Sets headers's text</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - headers's text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFooterText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFooterText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFooterText()</pre>
                                <div class="block">Footer's text</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Footer's text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFootersText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFootersText</h4>
                                <pre>public&nbsp;void&nbsp;setFootersText(java.lang.String&nbsp;text)</pre>
                                <div class="block">Sets footers's text</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - footers's text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDateTimeText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDateTimeText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getDateTimeText()</pre>
                                <div class="block">This is the date that the user wants in the footers, instead of
                                    today's date.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>custom user date</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDateTimeText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDateTimeText</h4>
                                <pre>public&nbsp;void&nbsp;setDateTimeText(java.lang.String&nbsp;text)</pre>
                                <div class="block">Sets custom user date to be displayed instead of today's date.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - custom user date</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFooterVisible--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFooterVisible</h4>
                                <pre>public&nbsp;boolean&nbsp;isFooterVisible()</pre>
                                <div class="block">whether the footer text is displayed.</div>
                            </li>
                        </ul>
                        <a name="setFooterVisible-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFooterVisible</h4>
                                <pre>public&nbsp;void&nbsp;setFooterVisible(boolean&nbsp;flag)</pre>
                                <div class="block">whether the footer text is displayed.</div>
                            </li>
                        </ul>
                        <a name="isHeaderVisible--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isHeaderVisible</h4>
                                <pre>public&nbsp;boolean&nbsp;isHeaderVisible()</pre>
                                <div class="block">whether the header text is displayed.</div>
                            </li>
                        </ul>
                        <a name="setHeaderVisible-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeaderVisible</h4>
                                <pre>public&nbsp;void&nbsp;setHeaderVisible(boolean&nbsp;flag)</pre>
                                <div class="block">whether the header text is displayed.</div>
                            </li>
                        </ul>
                        <a name="isDateTimeVisible--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDateTimeVisible</h4>
                                <pre>public&nbsp;boolean&nbsp;isDateTimeVisible()</pre>
                                <div class="block">whether the date is displayed in the footer.</div>
                            </li>
                        </ul>
                        <a name="setDateTimeVisible-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDateTimeVisible</h4>
                                <pre>public&nbsp;void&nbsp;setDateTimeVisible(boolean&nbsp;flag)</pre>
                                <div class="block">whether the date is displayed in the footer.</div>
                            </li>
                        </ul>
                        <a name="isUserDateVisible--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isUserDateVisible</h4>
                                <pre>public&nbsp;boolean&nbsp;isUserDateVisible()</pre>
                                <div class="block">whether the custom user date is used instead of today's date.</div>
                            </li>
                        </ul>
                        <a name="setUserDateVisible-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUserDateVisible</h4>
                                <pre>public&nbsp;void&nbsp;setUserDateVisible(boolean&nbsp;flag)</pre>
                                <div class="block">whether the date is displayed in the footer.</div>
                            </li>
                        </ul>
                        <a name="isSlideNumberVisible--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSlideNumberVisible</h4>
                                <pre>public&nbsp;boolean&nbsp;isSlideNumberVisible()</pre>
                                <div class="block">whether the slide number is displayed in the footer.</div>
                            </li>
                        </ul>
                        <a name="setSlideNumberVisible-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSlideNumberVisible</h4>
                                <pre>public&nbsp;void&nbsp;setSlideNumberVisible(boolean&nbsp;flag)</pre>
                                <div class="block">whether the slide number is displayed in the footer.</div>
                            </li>
                        </ul>
                        <a name="getDateTimeFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDateTimeFormat</h4>
                                <pre>public&nbsp;int&nbsp;getDateTimeFormat()</pre>
                                <div class="block">An integer that specifies the format ID to be used to style the
                                    datetime.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an integer that specifies the format ID to be used to style the datetime.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDateTimeFormat-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDateTimeFormat</h4>
                                <pre>public&nbsp;void&nbsp;setDateTimeFormat(int&nbsp;formatId)</pre>
                                <div class="block">An integer that specifies the format ID to be used to style the
                                    datetime.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formatId</code> - an integer that specifies the format ID to be used to
                                        style the datetime.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isPpt2007--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isPpt2007</h4>
                                <pre>public&nbsp;boolean&nbsp;isPpt2007()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, if this is a ppt 2007 document and header/footer are stored as placeholder
                                        shapes
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HeadersFooters.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/model/ActiveXShape.html"
               title="class in org.apache.poi.hslf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/model/HSLFMetroShape.html"
               title="class in org.apache.poi.hslf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/model/HeadersFooters.html" target="_top">Frames</a>
        </li>
        <li><a href="HeadersFooters.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
